Get one consultation
curl --request GET \
--url https://api.hi-doctor.ai/v1/users/consultations/{id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hi-doctor.ai/v1/users/consultations/{id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hi-doctor.ai/v1/users/consultations/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0a1b2c3d-4e5f-4a6b-8c9d-000000000002",
"user": {
"id": "0a1b2c3d-4e5f-4a6b-8c9d-000000000001",
"first_name": "Alex",
"last_name": "Moreno",
"email": "patient@example.com",
"locale": "en",
"date_of_birth": "1985-04-12",
"country_of_residence": "ESP",
"timezone": "Europe/Madrid",
"city": null,
"postal_code": null,
"issuing_state": "ESP",
"document_number": "X0000000X",
"document_type": "ID_CARD",
"consultation_count": 2,
"total_spent_cents": 5000,
"total_refunded_cents": 0,
"net_spent_cents": 5000,
"subscription_status": "active"
},
"doctor": {
"id": "0a1b2c3d-4e5f-4a6b-8c9d-00000000000d",
"first_name": "Reviewing",
"last_name": "Doctor",
"email": "doctor@example.com",
"doctor_license_number": "000000000"
},
"shopify_order_id": null,
"status": "approved",
"origin": "checkout",
"decision_reason": "Meets the criteria. Starting on a low dose.",
"treatment_id": "wegovy",
"dosage": "0.5 mg",
"form_snapshot": [
{
"step_id": 1,
"question_key": "weight_loss-01-country",
"value": "ESP"
}
],
"questionnaire_submission": null,
"prescriptions": [],
"payments": [],
"created_at": "2026-07-24T08:46:49.817627Z",
"updated_at": "2026-07-27T09:12:01.004311Z",
"decided_at": "2026-07-27T09:12:01.004311Z"
}{
"detail": "Given token not valid for any token type",
"code": "token_not_valid",
"messages": [
{
"token_class": "AccessToken",
"token_type": "access",
"message": "Token is invalid"
}
]
}{
"detail": "No Consultation matches the given query."
}Consultations
Get one consultation
A single consultation belonging to the authenticated patient.
GET
/
v1
/
users
/
consultations
/
{id}
/
Get one consultation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
-9223372036854776000 <= x <= 9223372036854776000Available options:
pending, approved, rejected Available options:
checkout, subscription_initial, subscription_included, subscription_renewal Maximum string length:
255Maximum string length:
255Show child attributes
Show child attributes
⌘I